> For the complete documentation index, see [llms.txt](https://docs.zama.org/concrete-ml/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zama.org/concrete-ml/0.6-1/getting-started/showcase.md).

# Demos and Tutorials

This section lists several demos that apply Concrete-ML to some popular machine learning problems. They show how to build ML models that perform well under FHE constraints, and then how to perform the conversion to FHE.

Simpler tutorials that discuss only model usage and compilation are also available for the [built-in models](/concrete-ml/0.6-1/built-in-models/ml_examples.md) and for [deep learning](/concrete-ml/0.6-1/deep-learning/examples.md).

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-cover data-type="files"></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><strong>Titanic</strong></td><td>Train an XGB classifier that can perform encrypted prediction for the <a href="https://www.kaggle.com/c/titanic/">Kaggle Titanic competition</a></td><td></td><td><a href="https://3176746334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F75MldzZY6YYabEQfXDIR%2Fuploads%2Fgit-blob-89efb8cfe233ddebc7e3be119606d6dc376fefcb%2Fdemo_titanic.png?alt=media">demo_titanic.png</a></td><td><a href="https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/titanic">https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/titanic</a></td></tr><tr><td><strong>Neural Network Fine-tuning</strong></td><td>Fine-tune a VGG network to classify the CIFAR image data-sets and predict on encrypted data</td><td></td><td><a href="https://3176746334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F75MldzZY6YYabEQfXDIR%2Fuploads%2Fgit-blob-a452d8e3b4661822e9b43c941ad0046caeb7f473%2Fdemo_nn_finetuning.png?alt=media">demo_nn_finetuning.png</a></td><td><a href="https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/cifar_brevitas_finetuning">https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/cifar_brevitas_finetuning</a></td></tr><tr><td><strong>Neural Network Splitting for SaaS deployment</strong></td><td>Train a VGG-like CNN that classifies CIFAR10 encrypted images, and where an initial feature extractor is executed client-side</td><td></td><td><a href="https://3176746334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F75MldzZY6YYabEQfXDIR%2Fuploads%2Fgit-blob-647db4b501756edf88fb36ee8152209d9f0ab902%2Fdemo_nn_splitting.png?alt=media">demo_nn_splitting.png</a></td><td><a href="https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/cifar_10_with_model_splitting">https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/cifar_10_with_model_splitting</a></td></tr><tr><td><strong>Handwritten digit classification</strong></td><td>Train a neural network model to classify encrypted digit images from the MNIST data-set</td><td></td><td><a href="https://3176746334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F75MldzZY6YYabEQfXDIR%2Fuploads%2Fgit-blob-602101b4b6a6c5146e8269b4309ce145ce6d7bda%2Fdemo_mnist.png?alt=media">demo_mnist.png</a></td><td><a href="https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/mnist">https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/mnist</a></td></tr><tr><td><strong>Encrypted Image filtering</strong></td><td>A Hugging Face space that applies a variety of image filters to encrypted images</td><td></td><td><a href="https://3176746334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F75MldzZY6YYabEQfXDIR%2Fuploads%2Fgit-blob-3549b694b5c0a5a6413a9571b7f286250e5bc45b%2Fdemo_filtering.png?alt=media">demo_filtering.png</a></td><td><a href="https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/image_filtering">https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/image_filtering</a></td></tr><tr><td><strong>Encrypted sentiment analysis</strong></td><td>A Hugging Face space that securely analyzes the sentiment expressed in a short text</td><td></td><td><a href="https://3176746334-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F75MldzZY6YYabEQfXDIR%2Fuploads%2Fgit-blob-fc4c8dd48007ee8f9fd6d5bdf20789475a10dcd7%2Fdemo_sentiment.png?alt=media">demo_sentiment.png</a></td><td><a href="https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/sentiment-analysis-with-transformer">https://github.com/zama-ai/concrete-ml/tree/release/0.6.x/use_case_examples/sentiment-analysis-with-transformer</a></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zama.org/concrete-ml/0.6-1/getting-started/showcase.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
